package speiger.src.coreengine.rendering.textures.custom;

import speiger.src.coreengine.rendering.textures.base.ITexture;

public interface IDynamicTexture extends ITexture, IDrawable {
	public boolean isDirty();
	public void process(boolean full);
	
	public default void dirty(int index) { dirty(index % width(), index / width()); }
	public void dirty(int x, int y);	
	
}
